/*
    Function Analyzer Color Palette
    Copyright (C) 2005 Pedram Amini <pedram.amini@gmail.com>

    This program is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation; either version 2 of the License, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this program; if not, write to the Free Software Foundation, Inc., 59 Temple
    Place, Suite 330, Boston, MA 02111-1307 USA
*/

#ifndef __COLOR_PALETTE_H__
#define __COLOR_PALETTE_H__

#define GML_COLOR_NODE          "#F0F0F0"
#define GML_COLOR_NODE_FAROFF   "#E9E998"
#define GML_COLOR_NODE_ENTRY    "#CCFFCC"
#define GML_COLOR_DEFAULT       "<font color=#333333>"
#define GML_COLOR_REGCMT        "<font color=#333333>"
#define GML_COLOR_RPTCMT        "<font color=#333333>"
#define GML_COLOR_AUTOCMT       "<font color=#333333>"
#define GML_COLOR_INSN          "<font color=#333333>"
#define GML_COLOR_DATNAME       "<font color=#333333>"
#define GML_COLOR_DNAME         "<font color=#333333>"
#define GML_COLOR_DEMNAME       "<font color=#333333>"
#define GML_COLOR_SYMBOL        "<font color=#666666>"
#define GML_COLOR_CHAR          "<font color=#333333>"
#define GML_COLOR_STRING        "<font color=#333333>"
#define GML_COLOR_NUMBER        "<font color=#333333>"
#define GML_COLOR_VOIDOP        "<font color=#333333>"
#define GML_COLOR_CREF          "<font color=#333333>"
#define GML_COLOR_DREF          "<font color=#333333>"
#define GML_COLOR_CREFTAIL      "<font color=#333333>"
#define GML_COLOR_DREFTAIL      "<font color=#333333>"
#define GML_COLOR_ERROR         "<font color=#333333>"
#define GML_COLOR_PREFIX        "<font color=#333333>"
#define GML_COLOR_BINPREF       "<font color=#333333>"
#define GML_COLOR_EXTRA         "<font color=#333333>"
#define GML_COLOR_ALTOP         "<font color=#333333>"
#define GML_COLOR_HIDNAME       "<font color=#333333>"
#define GML_COLOR_LIBNAME       "<font color=#333333>"
#define GML_COLOR_LOCNAME       "<font color=#0033CC>"
#define GML_COLOR_CODNAME       "<font color=#333333>"
#define GML_COLOR_ASMDIR        "<font color=#333333>"
#define GML_COLOR_MACRO         "<font color=#333333>"
#define GML_COLOR_DSTR          "<font color=#333333>"
#define GML_COLOR_DCHAR         "<font color=#333333>"
#define GML_COLOR_DNUM          "<font color=#333333>"
#define GML_COLOR_KEYWORD       "<font color=#006600>"
#define GML_COLOR_REG           "<font color=#3399CC>"
#define GML_COLOR_IMPNAME       "<font color=#333333>"
#define GML_COLOR_SEGNAME       "<font color=#333333>"
#define GML_COLOR_UNKNAME       "<font color=#333333>"
#define GML_COLOR_CNAME         "<font color=#333333>"
#define GML_COLOR_UNAME         "<font color=#333333>"
#define GML_COLOR_COLLAPSED     "<font color=#333333>"
#define GML_COLOR_FG_MAX        "<font color=#FF6600>"
#define GML_COLOR_LABEL         "<font color=#FF0000>"
#define GML_COLOR_ADDRESS       "<font color=#999999>"

#define FA_COLOR_BG             "white"
#define FA_COLOR_NODE           "white"
#define FA_COLOR_NODE_CURRENT   "lightyellow"
#define FA_COLOR_NODE_FAROFF    "khaki"
#define FA_COLOR_DEFAULT        "\x0C""32"
#define FA_COLOR_REGCMT         "\x0C""33"
#define FA_COLOR_RPTCMT         "\x0C""34"
#define FA_COLOR_AUTOCMT        "\x0C""35"
#define FA_COLOR_INSN           "\x0C""36"
#define FA_COLOR_DATNAME        "\x0C""37"
#define FA_COLOR_DNAME          "\x0C""38"
#define FA_COLOR_DEMNAME        "\x0C""39"
#define FA_COLOR_SYMBOL         "\x0C""40"
#define FA_COLOR_CHAR           "\x0C""41"
#define FA_COLOR_STRING         "\x0C""42"
#define FA_COLOR_NUMBER         "\x0C""43"
#define FA_COLOR_VOIDOP         "\x0C""44"
#define FA_COLOR_CREF           "\x0C""45"
#define FA_COLOR_DREF           "\x0C""46"
#define FA_COLOR_CREFTAIL       "\x0C""47"
#define FA_COLOR_DREFTAIL       "\x0C""48"
#define FA_COLOR_ERROR          "\x0C""49"
#define FA_COLOR_PREFIX         "\x0C""50"
#define FA_COLOR_BINPREF        "\x0C""51"
#define FA_COLOR_EXTRA          "\x0C""52"
#define FA_COLOR_ALTOP          "\x0C""53"
#define FA_COLOR_HIDNAME        "\x0C""54"
#define FA_COLOR_LIBNAME        "\x0C""55"
#define FA_COLOR_LOCNAME        "\x0C""56"
#define FA_COLOR_CODNAME        "\x0C""57"
#define FA_COLOR_ASMDIR         "\x0C""58"
#define FA_COLOR_MACRO          "\x0C""59"
#define FA_COLOR_DSTR           "\x0C""60"
#define FA_COLOR_DCHAR          "\x0C""61"
#define FA_COLOR_DNUM           "\x0C""62"
#define FA_COLOR_KEYWORD        "\x0C""63"
#define FA_COLOR_REG            "\x0C""64"
#define FA_COLOR_IMPNAME        "\x0C""65"
#define FA_COLOR_SEGNAME        "\x0C""66"
#define FA_COLOR_UNKNAME        "\x0C""67"
#define FA_COLOR_CNAME          "\x0C""68"
#define FA_COLOR_UNAME          "\x0C""69"
#define FA_COLOR_COLLAPSED      "\x0C""70"
#define FA_COLOR_FG_MAX         "\x0C""71"
#define FA_COLOR_LABEL          "\x0C""72"
#define FA_COLOR_ADDRESS        "\x0C""73"

// if you add a color entry to this list don't forget to update the default value
// for 'color_count' in function_analyzer::constructor().

#define FA_COLOR_PALETTE        "\t// Color Palette\n"          \
                                "\tcolorentry 32: 051 051 051"  \
                                "\tcolorentry 33: 051 051 051"  \
                                "\tcolorentry 34: 051 051 051"  \
                                "\tcolorentry 35: 051 051 051"  \
                                "\tcolorentry 36: 051 051 051"  \
                                "\tcolorentry 37: 051 051 051"  \
                                "\tcolorentry 38: 051 051 051"  \
                                "\tcolorentry 39: 051 051 051"  \
                                "\tcolorentry 40: 102 102 102"  \
                                "\tcolorentry 41: 051 051 051"  \
                                "\tcolorentry 42: 051 051 051"  \
                                "\tcolorentry 43: 051 051 051"  \
                                "\tcolorentry 44: 051 051 051"  \
                                "\tcolorentry 45: 051 051 051"  \
                                "\tcolorentry 46: 051 051 051"  \
                                "\tcolorentry 47: 051 051 051"  \
                                "\tcolorentry 48: 051 051 051"  \
                                "\tcolorentry 49: 051 051 051"  \
                                "\tcolorentry 50: 051 051 051"  \
                                "\tcolorentry 51: 051 051 051"  \
                                "\tcolorentry 52: 051 051 051"  \
                                "\tcolorentry 53: 051 051 051"  \
                                "\tcolorentry 54: 051 051 051"  \
                                "\tcolorentry 55: 051 051 051"  \
                                "\tcolorentry 56: 000 051 204"  \
                                "\tcolorentry 57: 051 051 051"  \
                                "\tcolorentry 58: 051 051 051"  \
                                "\tcolorentry 59: 051 051 051"  \
                                "\tcolorentry 60: 051 051 051"  \
                                "\tcolorentry 61: 051 051 051"  \
                                "\tcolorentry 62: 051 051 051"  \
                                "\tcolorentry 63: 000 255 000"  \
                                "\tcolorentry 64: 102 153 204"  \
                                "\tcolorentry 65: 051 051 051"  \
                                "\tcolorentry 66: 051 051 051"  \
                                "\tcolorentry 67: 051 051 051"  \
                                "\tcolorentry 68: 051 051 051"  \
                                "\tcolorentry 69: 051 051 051"  \
                                "\tcolorentry 70: 051 051 051"  \
                                "\tcolorentry 71: 255 102 000"  \
                                "\tcolorentry 72: 255 000 000"  \
                                "\tcolorentry 73: 153 153 153"

#endif